import React from "react";
export const Textarea = ({ placeholder, label, name, type, setValue, value, }) => {
    return (React.createElement(React.Fragment, null, type == "float"
        ? (React.createElement("div", { className: "float-form-style form-control" },
            React.createElement("textarea", { name: name, placeholder: placeholder, onChange: (e) => setValue(e), rows: 5, cols: 100, value: value }),
            label ? React.createElement("label", { htmlFor: name }, label) : null))
        : type == "inline"
            ? (React.createElement("div", { className: "form-control inline" },
                label ? React.createElement("label", { htmlFor: name }, label) : null,
                React.createElement("textarea", { name: name, placeholder: placeholder, onChange: (e) => setValue(e), rows: 5, cols: 100, value: value })))
            : (React.createElement("div", { className: "form-control" },
                label ? React.createElement("label", { htmlFor: name }, label) : null,
                React.createElement("textarea", { name: name, placeholder: placeholder, onChange: (e) => setValue(e), rows: 5, cols: 100, value: value })))));
};
